<!DOCTYPE html>
<html>
<head>
  <title>Object Detection</title>
</head>
<body>
  <h1>Object Detection</h1>
  <form action="/detect" method="POST" enctype="multipart/form-data" id="upload-form">
    <input type="file" name="image">
    <button type="submit">Detect Objects</button>
    
    <label for="image-upload">Choose an image:</label>
      <input type="file" id="image-upload" name="image">
      <button type="submit-classification">Upload and Detect</button>
  </form>
  
  
  
  
 <!--FARM HEALTH--> 
     <h1>Classification Inception</h1>
    <div id="result-container"></div>

  <h1>Detection coco</h1>
    <canvas id="canvas"></canvas>
  <script>
    const canvas = document.getElementById('canvas');
    const context = canvas.getContext('2d');

   function drawBoundingBoxes(image, boxes) {
  // Set the canvas size to match the image size
  canvas.width = image.width;
  canvas.height = image.height;

  // Draw the image on the canvas
  context.drawImage(image, 0, 0);

  // Loop through the bounding boxes and draw them on the image
  for (const box of boxes) {
    const x = box.xmin;
    const y = box.ymin;
    const w = box.xmax - box.xmin;
    const h = box.ymax - box.ymin;

    context.strokeStyle = 'red';
    context.lineWidth = 2;
    context.strokeRect(x, y, w, h);
    
    // Add label text to the bounding box
    context.font = '16px Arial';
    context.fillStyle = 'red';
    context.fillText(box.class, x, y - 5);
  }
}

    const form = document.querySelector('form');
    form.addEventListener('submit', async (event) => {
      event.preventDefault();
      const formData = new FormData(event.target);
      const response = await fetch('/detect', {
        method: 'POST',
        body: formData
      });
      const data = await response.json();
      const image = new Image();
      image.onload = () => drawBoundingBoxes(image, data.boxes);
      image.src = 'data:image/jpeg;base64,' + data.image;
      
    <!--CLASSIFICATION-->
    const form = document.getElementById('upload-form');
      const resultContainer = document.getElementById('result-container');
      form.addEventListener('submit-classification', async (event) => {
        event.preventDefault();
        resultContainer.innerHTML = '<p>Uploading and detecting image...</p>';
        const formData = new FormData(form);
        try {
          const response = await fetch('/classify', {
            method: 'POST',
            body: formData
          });
          const result = await response.json();
          resultContainer.innerHTML = `
            <p><strong>Vegetable:</strong> ${result.vegetable}</p>
            <p><strong>Health Status:</strong> ${result.healthStatus}</p>
          `;
        } catch (error) {
          resultContainer.innerHTML = '<p>Error detecting image. Please try again later.</p>';
        }
      });
      
      
    });
  </script>
  
         <script>
      
    </script>
</body>
</html>
